#ifndef _SPIDER_CONFIG_H_
#define _SPIDER_CONFIG_H_

/* Lev  What                          Same as defining
 *----------------------------------------------------
 *   1  Module                        MODULE_DEBUG
 *   2  HTTP                          HTTP_DEBUG
 *   8  Hostname                      HOST_NAME_DEBUG
 *   9  Cache                         CACHE_DEBUG
 *  10  Configuration file handling   DEBUG_CONFIG
 *  20  Socket opening/closing        SOCKET_DEBUG
 *  21  Module: Filesystem            FILESYSTEM_DEBUG
 *  22  Module: Proxy                 PROXY_DEBUG
 *  23  Module: Gopher proxy          GOPHER_DEBUG
 *  40  _More_ cache debug            -
 * >40  Probably even more debug
 * 
 * Each higher level also include the debug of the lower levels.
 * Use the defines in the rightmost column if you want to enable
 * specific debug features.  */

/* #undef DEBUG_LEVEL */
#define DEBUG_LEVEL DEBUG

/* Do we want module level deny/allow security (IP-numbers and usernames). 
 * 2% speed loss, on an average. (That is, if your CPU is used to the max.
 * it probably isn't..)  */
#define MODULE_LEVEL_SECURITY


/* Should we be compatible with level b9 and below configuration files? */
#define COMPAT

/* If set, the maximum, minimum and average time used to serve
 * requests is logged.
 * This (rusage()) is broken on some systems, and the server will be
 * somewhat ( < 2% ) slower with this enabled.  */

#undef USE_RUSAGE


/* Define this if you don't Spinner to use DNS. Note: This doesn't make the 
   server itself faster. It only reduces the netload some. This option turns
   off ALL ip -> hostname, hostname -> ip conversion. Thus you can't use if 
   if you want to run a proxy. */

/* #define NO_DNS */


/* This option turns of all ip->hostname lookups. However the hostname->ip
   lookups are still functional. */

/* #define NO_REVERSE_LOOKUP */



/*---------------- End of configurable options. */

#endif /* if _SPIDER_CONFI_H_ */
