#ifndef SPIDER_MODULE_H
#define SPIDER_MODULE_H

/* Variable types. */
#define TYPE_STRING        1
#define TYPE_FILE          2
#define TYPE_INT           3
#define TYPE_DIR           4

#define TYPE_STRING_LIST     5
#define TYPE_MULTIPLE_STRING 5

#define TYPE_INT_LIST         6
#define TYPE_MULTIPLE_INT     6

#define TYPE_FLAG          7
#define TYPE_ERROR         8
#define TYPE_DIR_LIST	   9
#define TYPE_FILE_LIST    10
#define TYPE_LOCATION     11
#define TYPE_COLOR	  12
#define TYPE_TEXT_FIELD   13
#define TYPE_PASSWORD     14
#define TYPE_FLOAT        15
#define TYPE_PORTS        16

/* Variable indexes */
#define VAR_VALUE           0
#define VAR_NAME            1
#define VAR_TYPE            2
#define VAR_DOC_STR         3
#define VAR_MISC            4
#define VAR_CONFIGURABLE    5
#define VAR_SHORTNAME       6

#define VAR_SIZE 	    7

// Fast but unreliable.
#define QUERY(var)      variables["var"][VAR_VALUE]

#define MODULE_EXTENSION         2
#define MODULE_LOCATION          4
#define MODULE_URL	         8
#define MODULE_FILE_EXTENSION   64
#define MODULE_AUTH            128
#define MODULE_PARSER          256
#define MODULE_LAST            512 
#define MODULE_FIRST          1024
#define MODULE_MAIN_PARSER    2048
#define MODULE_TYPES          4096
#define MODULE_DIRECTORIES    8192

#define MODULE_ANY           65535
// #define MODULE_SPIDER       (65536<<2)


#endif




